Subject: Re: Sizeable GUI
From: [email-masked] (Markus Juhani Aalto)
Date: 25 Feb 94 07:22:14 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]> [email-masked] (Ketil Hunn) writes:

> Path: nntp.hut.fi!news.funet.fi!news.eunet.fi!dkuug!news.eunet.no!nuug!trane.uninett.no!ugle.unit.no!brosme.dhmolde.no!ketil
> From: [email-masked] (Ketil Hunn)
> Newsgroups: comp.sys.amiga.programmer
> Date: 24 Feb 1994 17:06:27 GMT
> Organization: University of Trondheim, Norway
> Lines: 10
> NNTP-Posting-Host: brosme.dhmolde.no
> X-Newsreader: TIN [version 1.2 PL0]

> Working on a sizable (and font-adaptable) requester, I found that when
> shrinking the windowsize, the gadgets sometimes stay visible in the window's
> borders.  This can be avoided by activating the parent window and then the
> sized window.  This results in a 'flicker', thoug.

> Is there another way of redrawing the window-borders AFTER you have arranged
> the gadgets according to the new window-sizes?

> Ketil Hunn
> [email-masked]

RefreshWindow or something like that should do the job but it isn't the
best possible way. In my opinion you get best results by listening
RESIZE VERIFY message and when you receive it you detach your gadgets
from the window. When RESIZE message comes you then attach gadgets back.
This is little more work but it will result in faster window resizing.
--

**************************************************************************
*         Markus Aalto              | Helsinki University of Technology  *
*                                   |                                    *
*  EMail: [email-masked]    | Faculty of Electric Engineering    *
*  Phone/Fax: 358-0-8746991         |                                    *
*                                   | Undergraduate in Computer Science  *
**************************************************************************